Pular para o conteúdo principal
POST
/
webhooks-journal
/
subscriptions
/
2026-03
cURL
curl --request POST \
  --url https://api.hubapi.com/webhooks-journal/subscriptions/2026-03 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subscriptionType": "OBJECT",
  "portalId": 123,
  "actions": [
    "CREATE"
  ],
  "objectTypeId": "<string>",
  "objectIds": [
    123
  ],
  "properties": [
    "<string>"
  ]
}
'
{
  "actions": [
    "CREATE"
  ],
  "appId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "id": 123,
  "objectTypeId": "<string>",
  "subscriptionType": "APP_LIFECYCLE_EVENT",
  "updatedAt": "2023-11-07T05:31:56Z",
  "actionOverrides": {},
  "associatedObjectTypeIds": [
    "<string>"
  ],
  "createdBy": 123,
  "deletedAt": "2023-11-07T05:31:56Z",
  "listIds": [
    123
  ],
  "objectIds": [
    123
  ],
  "portalId": 123,
  "properties": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://br.developers.hubspot.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizações

Authorization
string
header
obrigatório

The access token received from the authorization server in the OAuth 2.0 flow.

Corpo

application/json
subscriptionType
enum<string>
padrão:OBJECT
obrigatório
Opções disponíveis:
OBJECT,
ASSOCIATION,
EVENT,
APP_LIFECYCLE_EVENT,
LIST_MEMBERSHIP,
GDPR_PRIVACY_DELETION
portalId
integer<int64>
obrigatório
actions
enum<string>[]
obrigatório
Opções disponíveis:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
objectTypeId
string
obrigatório
objectIds
integer<int64>[]
obrigatório
properties
string[]
obrigatório

Resposta

successful operation

actions
enum<string>[]
obrigatório
Opções disponíveis:
CREATE,
UPDATE,
DELETE,
MERGE,
RESTORE,
ASSOCIATION_ADDED,
ASSOCIATION_REMOVED,
SNAPSHOT,
APP_INSTALL,
APP_UNINSTALL,
ADDED_TO_LIST,
REMOVED_FROM_LIST,
GDPR_DELETE
appId
integer<int64>
obrigatório
createdAt
string<date-time>
obrigatório

A data/hora em que a assinatura do webhook foi criada, no formato ISO 8601 (por exemplo, 2020-02-29T12:30:00Z).

id
integer<int64>
obrigatório

O ID exclusivo da assinatura do webhook.

objectTypeId
string
obrigatório

O ID do objeto para a assinatura. Pode ser um objeto dp CRM padrão (por exemplo, "contato", "registro de empresa", "negócio") ou um ID de objeto personalizado para assinaturas de objetos personalizados.

subscriptionType
enum<string>
obrigatório
Opções disponíveis:
APP_LIFECYCLE_EVENT,
ASSOCIATION,
EVENT,
GDPR_PRIVACY_DELETION,
LIST_MEMBERSHIP,
OBJECT
updatedAt
string<date-time>
obrigatório

A data/hora da última atualização da assinatura do webhook, no formato ISO 8601 (por exemplo, 2020-02-29T12:30:00Z).

actionOverrides
object
associatedObjectTypeIds
string[]
createdBy
integer<int64>
deletedAt
string<date-time>
listIds
integer<int64>[]
objectIds
integer<int64>[]
portalId
integer<int64>
properties
string[]
Last modified on April 14, 2026